Create an agent action

Server: https://{kibana_url}
  • POST /api/fleet/agents/{agentId}/actions
  • POST /s/{space_id}/api/fleet/agents/{agentId}/actions

Refer to Spaces for more information.

Create a new action for a specific agent.

[Required authorization] Route required privileges: fleet-agents-all.

Path Parameters

agentId string required

The agent ID

Request

action union anyOf required
Any of:
ack_data object required
data object required
type enum required
Values: UNENROLL UPGRADE POLICY_REASSIGN

Responses